#if !defined(AFX_ELEVATORSDLG_H__C8B3903E_35F9_11D6_85F4_0000E87713C4__INCLUDED_)
#define AFX_ELEVATORSDLG_H__C8B3903E_35F9_11D6_85F4_0000E87713C4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ElevatorsDlg.h : header file
//

#include "resource.h"

#include "LearnDlg.h"

#include "EffCriteriaGraph.h"
#include "TEffCriteriaCounter.h"

/////////////////////////////////////////////////////////////////////////////
// CElevatorsDlg dialog

class CElevatorsDlg : public CDialog
{
   friend class TEffCriteriaCounter;

// Construction
public:
	CElevatorsDlg(CWnd* pParent = NULL);   // standard constructor

   void redraw();

// Dialog Data
	//{{AFX_DATA(CElevatorsDlg)
	enum { IDD = IDD_ELEVATORS_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CElevatorsDlg)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

   UINT timer;

   LearnDlg learnDlg;

   EffCriteriaGraph effCriteriaGraph;

	// Generated message map functions
	//{{AFX_MSG(CElevatorsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnStartButton();
	afx_msg void OnStopButton();
	afx_msg void OnHelpAbout();
	afx_msg void OnFileExit();
	afx_msg void OnStepButton();
	afx_msg void OnClose();
	afx_msg void OnConfig();
	afx_msg void OnResetButton();
	afx_msg void OnUpdateRecordStartrecording(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRecordStoprecording(CCmdUI* pCmdUI);
	afx_msg void OnRecordStartrecording();
	afx_msg void OnRecordStoprecording();
	afx_msg void OnRecordPlay();
	afx_msg void OnRecordRecord();
	afx_msg void OnRecordStop();
	afx_msg void OnRecordOpen();
	afx_msg void OnRecordSave();
	afx_msg void OnRecordSaveas();
	afx_msg void OnRecordNew();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnLearnButton();
	afx_msg void OnSaveButton();
	afx_msg void OnLoadButton();
	afx_msg void OnRadio3();
	afx_msg void OnLoadButton2();
	afx_msg void OnLearnButton2();
	afx_msg void OnSaveButton2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

   void step();
   void drawPopulestFloor();
   void drawKSU();
};

extern CElevatorsDlg* elevatorsDlg;

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ELEVATORSDLG_H__C8B3903E_35F9_11D6_85F4_0000E87713C4__INCLUDED_)
